QT += widgets network multimedia webkitwidgets
CONFIG += warn_off
CONFIG += app_bundle
INCLUDEPATH += /usr/local/include
LIBPATH += /usr/local/lib
LIBPATH += /usr/lib
LIBS += -lzip
LIBS += -lcrypto -lssl
ICON = APPL.icns

HEADERS += \
    AES/aes.h \
    bn_openssl097beta1/bn.h \
    bn_openssl097beta1/bn_lcl.h \
    bn_openssl097beta1/bn_prime.h \
    bn_openssl097beta1/hmf_prime.h \
    bn_openssl097beta1/hmf_rand.h \
    PropertiesBox/qteditorfactory.h \
    PropertiesBox/qtpropertybrowser.h \
    PropertiesBox/qtpropertybrowserutils_p.h \
    PropertiesBox/qtpropertymanager.h \
    PropertiesBox/qttreepropertybrowser.h \
    PropertiesBox/qtvariantproperty.h \
    rsa/rsa.h \
    AnsiList.h \
    AnsiString.h \
    BaseWidget.h \
    BasicMessages.h \
    callback.h \
    CARoot.h \
    components_library.h \
    ConceptClient.h \
    connectdialog.h \
    consolewindow.h \
    CustomButton.h \
    EventAwareWidget.h \
    EventHandler.h \
    ForwardLabel.h \
    GTKControl.h \
    httpmessaging.h \
    interface.h \
    INTERFACE_TO_AES.h \
    ListDelegate.h \
    logindialog.h \
    ManagedPage.h \
    ManagedRequest.h \
    md5.h \
    md5_global.h \
    messages.h \
    mtrand.h \
    resources.h \
    semhh.h \
    sha1.h \
    sha256.h \
    stock_constants.h \
    ToWriteText.h \
    TreeColumn.h \
    TreeDelegate.h \
    ui_connectdialog.h \
    ui_consolewindow.h \
    ui_logindialog.h \
    unzip.h \
    verticallabel.h \
    worker.h

SOURCES += \
    AES/aes.cpp \
    PropertiesBox/qteditorfactory.cpp \
    PropertiesBox/qtpropertybrowser.cpp \
    PropertiesBox/qtpropertybrowserutils.cpp \
    PropertiesBox/qtpropertymanager.cpp \
    PropertiesBox/qttreepropertybrowser.cpp \
    PropertiesBox/qtvariantproperty.cpp \
    AnsiList.cpp \
    AnsiString.cpp \
    callback.cpp \
    ConceptClient.cpp \
    ConClientResources.cpp \
    connectdialog.cpp \
    consolewindow.cpp \
    EventHandler.cpp \
    httpmessaging.cpp \
    interface.cpp \
    logindialog.cpp \
    main.cpp \
    messages.cpp \
    mtrand.cpp \
    UriCodec.cpp \
    verticallabel.cpp \
    worker.cpp \
    bn_openssl097beta1/bn_add.c \
    bn_openssl097beta1/bn_asm.c \
    bn_openssl097beta1/bn_ctx.c \
    bn_openssl097beta1/bn_div.c \
    bn_openssl097beta1/bn_exp.c \
    bn_openssl097beta1/bn_exp2.c \
    bn_openssl097beta1/bn_gcd.c \
    bn_openssl097beta1/bn_lib.c \
    bn_openssl097beta1/bn_mod.c \
    bn_openssl097beta1/bn_mont.c \
    bn_openssl097beta1/bn_mpi.c \
    bn_openssl097beta1/bn_mul.c \
    bn_openssl097beta1/bn_prime.c \
    bn_openssl097beta1/bn_rand_hmf.c \
    bn_openssl097beta1/bn_recp.c \
    bn_openssl097beta1/bn_shift.c \
    bn_openssl097beta1/bn_sqr.c \
    bn_openssl097beta1/bn_word.c \
    bn_openssl097beta1/hmf_rand.c \
    rsa/rsa_convert.c \
    rsa/rsa_encode.c \
    rsa/rsa_keys.c \
    rsa/rsa_lib.c \
    rsa/rsa_pem.c \
    md5c.c \
    sha1.c \
    sha256.c \
    unzip.cpp


